<?php
/*
Plugin Name: Благодарствен текст и бутон за дарение
Description: Добавя благодарствен текст и бутон "Donate" под всяка статия.
Version: 1.3
Author: Fedya
Author URI: https://fedia.eu/
website: https://urocibg.eu/
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

// Функция, която добавя благодарствен текст и бутони "Donate" под всички статии
function add_donate_buttons_fedia($content) {
    // Проверка дали се изпълнява в контекста на статията
    if (is_single()) {
        // Благодарствен текст
        $thankyou_message = '<p><strong style="color: black;">Благодарим ви за прочитането на статията! Ако намерихте информацията за полезна, можете да дарите посредством бутоните по-долу:</strong></p>';

        // Първи бутон "Donate"
        $donate_button_paypal = '<a href="https://www.paypal.com/donate/-------" class="donate-button">Donate ☕️ Дарете с PayPal</a>';

        // Втори бутон "Donate"
        $donate_button_revolut = '<a href="https://revolut.me/-------" class="donate-button">Donate 💳 Дарете с Revolut</a>';

        // Комбиниране на благодарствения текст и бутоните 
        $content .= $thankyou_message . $donate_button_paypal . $donate_button_revolut;
    }

// CSS стилове
$styles = '<style>
    .donate-button {
        background-color: yellow;
        color: black;
        font-weight: bold;
        padding: 10px 20px;
        border-radius: 7px;
        text-decoration: none;
        margin-right: 10px; /* Разтояние между бутоните */
    }

    /* Медиа заявка за резолюции под 1280px */
    @media screen and (max-width: 1280px) {
        .donate-button {
            display: block; /* Бутоните да бъдат блокови и един под друг */
            margin-top: 10px; /* Разтояние между бутоните при ниска резолюция */
            margin-right: 0; /* Изчистване на маргиналната дясна страна */
        }
    }
</style>';


    // Добавяне на CSS стиловете към съдържанието
    $content .= $styles;

    return $content;
}

// Използване на хука "the_content" за добавяне на благодарствен текст и бутони
add_filter('the_content', 'add_donate_buttons_fedia');
